
<%if @pages.present?  %>
  <div class="app-page-list">
    <%= form_with url: move_page_url(@form_id), method: :post, builder: GOVUKDesignSystemFormBuilder::FormBuilder do |f| %>
      <dl class="govuk-summary-list">
        <% @pages.each_with_index do |page, index| %>
          <div class="govuk-summary-list__row">

            <dt class="govuk-summary-list__key app-page-list__key">
              <%= index + 1 %>
            </dt>

            <dd class="govuk-summary-list__value">
              <%= question_text_with_optional_suffix(page) %>
            </dd>

            <dd class="govuk-summary-list__actions govuk-!-padding-bottom-6">

              <div class="govuk-button-group form-action-group app-page-list__button-group">
                <% if show_up_button(index) %>
                  <%= f.govuk_submit t("forms.form_overview.move_up_html", title: index + 1), secondary: true, name: 'move_direction[up]', value: page.id %>
                <% end %>
                <% if show_down_button(index)  %>
                  <%= f.govuk_submit t("forms.form_overview.move_down_html", title: index + 1), secondary: true, name: 'move_direction[down]', value: page.id %>
                <% end %>
              </div>

              <%= govuk_link_to edit_page_path(@form_id, page.id) do %>
                <%= t("forms.form_overview.edit") %> <span class="govuk-visually-hidden"><%= index + 1 %></span>
              <% end %>

            </dd>
          </div>

          <% if FeatureService.enabled?(:basic_routing) %>
            <% page.routing_conditions.each do |condition| %>
              <div class="govuk-summary-list__row">
                <dt class="govuk-summary-list__key govuk-summary-list__key app-page-list__key">
                  <%= t("page_conditions.condition_name", page_index: index + 1) %>
                </dt>

                <dd class="govuk-summary-list__value">
                  <%= t('page_conditions.condition_html',
                    check_page_text: question_text_for_page(condition.check_page_id),
                    answer_value: condition.answer_value,
                    goto_page_text: question_text_for_page(condition.goto_page_id)
                  ) %>
                </dd>

                <dd class="govuk-summary-list__actions govuk-!-padding-bottom-6">
                  <%= govuk_link_to edit_condition_path(form_id: @form_id, page_id: page.id, condition_id: condition.id) do %>
                    <%= t("forms.form_overview.edit_with_visually_hidden_text_html", visually_hidden_text: t("page_conditions.condition_name", page_index: index + 1)) %>
                  <% end %>
                </dd>
              </div>
            <% end %>
          <% end %>
        <% end %>
      </dl>
    <% end %>
  </div>
<% end %>
